com.sun.grid.jgdi.filter

## Class WhereClause

- java.lang.Object
- - com.sun.grid.jgdi.filter.WhereClause

- Direct Known Subclasses:
    IntWhereClause, StringWhereClause

      public class WhereClause
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WhereClause(java.lang.String type, int field, java.lang.String relop, java.lang.Object value)` Creates a new instance of WhereClause

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getField()`
    `java.lang.String` | `getPattern()`
    `java.lang.String` | `getType()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WhereClause

          public WhereClause(java.lang.String type,
                             int field,
                             java.lang.String relop,
                             java.lang.Object value)

      Creates a new instance of WhereClause

  - ### Method Detail

    - #### getPattern

          public java.lang.String getPattern()

    - #### getType

          public java.lang.String getType()

    - #### getField

          public int getField()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.